> This page is for Afterpay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.afterpay.com/_mcp/server.

# Get Contract

GET https://agencyapi.afterpay.com/v1/contract/{contractId}

Returns details for the volume-based tiered contract between the partner and Afterpay.

Reference: https://developers.afterpay.com/afterpay-partner-api/api-reference/reference-partner-api/rates/get-contract

## Servers

- `https://agencyapi.afterpay.com` (Production, default)
- `https://agencyapi.sandbox.afterpay.com` (Sandbox)

## Request

### Path parameters

- `contractId` (string, required) — The unique ID for the contract between Afterpay and the partner.

### Headers

- `Accept` (string, required, default: application/json) — Specifies media types that are acceptable for the response.

## Response

### 200

Details of the volume-based tiered contract.

- `contractId` (string, optional) — The unique ID for the contract between Afterpay and the partner.
- `effectiveFrom` (string, optional) — Effective date and time of when the contract applies, using the standard ISO 8601 format, returned in UTC Coordinated Universal Time).
- `status` (enum, optional) — Contract status
  - Allowed values: `APPROVED`, `REJECTED`, `PENDING`
- `countryCode` (string, optional) — Country code in the two-letter ISO 3166-1 alpha-2 standard format, defining the consumer market for which the contact applies.
- `buyRates` (BuyRates, optional) — Buy rates object that details the rates.

## Errors

### 401 Unauthorized Error

Unauthorized, e.g., HMAC verification failed

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

### 404 Not Found Error

Not found, e.g., contract not found.

- `timestamp` (string, optional) — Timestamp of the response, indicating when the error occurred.
- `status` (integer, optional) — The HTTP status code, specifically indicating a 404 error in this case.
- `error` (string, optional) — A short description of the error, typically "Not Found" for a 404 response.
- `message` (string, optional) — A human-readable message providing more details about the error.
- `path` (string, optional) — The attempted endpoint path that resulted in the 404 error.

### 503 Service Unavailable Error

Service unavailable.

- `timestamp` (string, optional) — Timestamp of the response.
- `status` (integer, optional) — The HTTP status code.
- `error` (string, optional) — Name of the error that occurred.
- `message` (string, optional) — A human-readable message which provides more details about the error.
- `path` (string, optional) — The attempted endpoint.

## Types

### BuyRates

- `defaultRates` (BaseRate, required)
- `tierDetails` (list of BuyRatesTierDetailsItems, required) — Volume-based tiers and rates object.

### BaseRate

- `variableRatePercentage` (string, required) — Variable part of the buy-rate in percentage format e.g. 5.00 for 5%.
- `fixedRate` (string, required) — Fixed part of the buy-rate e.g. 0.30 for 30 cents.
- `fixedRateCurrencyCode` (string, required) — Currency of the fixed part of the buy-rate in the three-letter ISO 4217 currency code.
- `rateType` (enum, required) — Type of rate whether introductory for temporary promotional periods or ongoing for steady-state business.
  - Allowed values: `INTRODUCTORY`, `ONGOING`
- `durationInMonths` (integer, optional) — Number of months that the introductory rate will be applied.

### BuyRatesTierDetailsItems

- `tier` (integer, required) — Volume-based tier that was defined during commercial discussions.
- `minimumGmv` (string, required) — Lower bound of the tier.
- `maximumGmv` (string, required) — Higher bound of the tier.
- `GmvCurrencyCode` (string, required) — Currency of the GMV tier.
- `tieredRates` (list of BaseRate, required)

## Examples

**Response**

```json
{
  "contractId": "785389121238",
  "effectiveFrom": "2023-09-17T21:41:47.341+00:00",
  "status": "APPROVED",
  "countryCode": "US",
  "buyRates": {
    "defaultRates": {
      "variableRatePercentage": "5.00",
      "fixedRate": "0.30",
      "fixedRateCurrencyCode": "USD",
      "rateType": "ONGOING",
      "durationInMonths": 3
    },
    "tierDetails": [
      {
        "tier": 1,
        "minimumGmv": "0",
        "maximumGmv": "1000000",
        "GmvCurrencyCode": "USD",
        "tieredRates": [
          {
            "variableRatePercentage": "3.5",
            "fixedRate": "0.3",
            "fixedRateCurrencyCode": "USD",
            "rateType": "ONGOING"
          }
        ]
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://agencyapi.afterpay.com/v1/contract/785389121238"

headers = {
    "Accept": "application/json",
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://agencyapi.afterpay.com/v1/contract/785389121238';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'User-Agent': 'User-Agent'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agencyapi.afterpay.com/v1/contract/785389121238"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("User-Agent", "User-Agent")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://agencyapi.afterpay.com/v1/contract/785389121238")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["User-Agent"] = 'User-Agent'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agencyapi.afterpay.com/v1/contract/785389121238")
  .header("Accept", "application/json")
  .header("User-Agent", "User-Agent")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agencyapi.afterpay.com/v1/contract/785389121238', [
  'headers' => [
    'Accept' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://agencyapi.afterpay.com/v1/contract/785389121238");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("User-Agent", "User-Agent");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "User-Agent": "User-Agent"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://agencyapi.afterpay.com/v1/contract/785389121238")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```